Bug 919869 - rpmlint gives a "no-binary" error for a package containing Lua binary files (.lc)
rpmlint gives a "no-binary" error for a package containing Lua binary files (...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-10 11:54 EDT by Tadej Janež
Modified: 2013-04-09 21:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-09 21:29:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tadej Janež 2013-03-10 11:54:17 EDT
Description of problem:
I have a package which contains Lua binary files (.lc) which prevents it from being arch-independent.
Running rpmlint on the package's rpm files, however, gives a "no-binary" error.
I think rpmlint should properly detect Lua binary files compiled via luac and not report an error.

The package with this problem is Billiards (review request is here: https://bugzilla.redhat.com/show_bug.cgi?id=919867)

Version-Release number of selected component (if applicable):
rpmlint-1.4-11.fc18.noarch
Comment 1 Ville Skyttä 2013-03-16 12:44:42 EDT
Fixed upstream: http://sourceforge.net/p/rpmlint/code/ci/be327c1

Note that because of this:

> I have a package which contains Lua binary files (.lc) which prevents it from
> being arch-independent.

...you cannot ship the *.lc files in /usr/share, they need to be somewhere in /usr/lib(64) instead. After the above fix, rpmlint will start whining "arch-dependent-file-in-usr-share" for each of them.
Comment 2 Tadej Janež 2013-03-18 10:26:20 EDT
(In reply to comment #1)
> Fixed upstream: http://sourceforge.net/p/rpmlint/code/ci/be327c1

Thanks, Ville!

Just a side-note: I was surprised when I learned that rpmlint's upstream is SourceForge. Everything (Top 10 results of Google search, the URL of rpmlint's .spec file) points to http://rpmlint.zarb.org. Should I file a bug report about this?

> Note that because of this:
> 
> > I have a package which contains Lua binary files (.lc) which prevents it from
> > being arch-independent.
> 
> ...you cannot ship the *.lc files in /usr/share, they need to be somewhere
> in /usr/lib(64) instead. After the above fix, rpmlint will start whining
> "arch-dependent-file-in-usr-share" for each of them.

Thanks for pointing this out.
Comment 3 Ville Skyttä 2013-03-18 13:53:28 EDT
(In reply to comment #2)
> Just a side-note: I was surprised when I learned that rpmlint's upstream is
> SourceForge. Everything (Top 10 results of Google search, the URL of
> rpmlint's .spec file) points to http://rpmlint.zarb.org. Should I file a bug
> report about this?

No need, migration from zarb.org to sf.net is in progress, and the old rpmlint.zarb.org homepage will be updated soonish.
Comment 4 Tadej Janež 2013-03-19 07:06:31 EDT
(In reply to comment #3)
> No need, migration from zarb.org to sf.net is in progress, and the old
> rpmlint.zarb.org homepage will be updated soonish.

Ok, no problem.

Should this bug be closed as UPSTREAM or should we wait for the fix to land in Fedora's rpmlint?
Comment 5 Ville Skyttä 2013-03-19 07:10:26 EDT
That'd be up to the Fedora rpmlint maintainers, I'm sure they'll take care of this as they feel appropriate. I suppose it's about time to roll a new upstream release soonish.
Comment 6 Fedora Update System 2013-04-01 10:43:22 EDT
rpmlint-1.4-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rpmlint-1.4-14.fc18
Comment 7 Fedora Update System 2013-04-01 10:43:41 EDT
rpmlint-1.4-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rpmlint-1.4-14.fc17
Comment 8 Fedora Update System 2013-04-01 18:34:44 EDT
Package rpmlint-1.4-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.4-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4646/rpmlint-1.4-14.fc18
then log in and leave karma (feedback).
Comment 9 Fedora End Of Life 2013-04-03 16:38:17 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 10 Fedora Update System 2013-04-09 21:29:06 EDT
rpmlint-1.4-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-04-09 21:30:08 EDT
rpmlint-1.4-14.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.